Skip to content
POST/{organizationId}/{mandateId}/finance/accounting/assets

Create fixed asset

Creates a new fixed asset for given mandate

Required permissions:

  • mandate.read

  • fixedAsset.insert

Path Parameters

mandateIdstringrequired
organizationIdstringrequired

Request Body required

Content-Type: application/json

namestringrequired

minLength: 1

maxLength: 100

inventoryNumberstringrequired

minLength: 1

maxLength: 32

purchaseDatestringrequired
purchaseNetAmountintegerrequired

maximum: 9999999999

exclusiveMinimum: 0

residualNetAmountintegerrequired

minimum: 0

maximum: 9999999999

debitAccountintegerrequired

minimum: 1

maximum: 999999999

creditAccountintegerrequired

minimum: 1

maximum: 999999999

costCenter1number | nullrequired

minimum: 1

maximum: 99999999

costCenter2number | nullrequired

minimum: 1

maximum: 99999999

periodintegerrequired

minimum: 0

maximum: 9007199254740991

periodUnitstringrequired

Options:

yearsmonths

ObjectId as string

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/finance/accounting/assets
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/accounting/assets' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "typeId": "#",
  "name": "string",
  "inventoryNumber": "string",
  "purchaseDate": "string",
  "purchaseNetAmount": 1,
  "residualNetAmount": 0,
  "debitAccount": 1,
  "creditAccount": 1,
  "costCenter1": 1,
  "costCenter2": 1,
  "period": 0,
  "periodUnit": "years"
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

Response

200
{
  "_id": "000000000000000000000001",
  "postingIds": [
    "000000000000000000000001"
  ]
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}